Receiving Institution (Remote)

Available Methods


Load

Load to a wallet.

Request Path Parameters

ParameterTypeLimitsRequiredDescription
terminalIDstring10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction
Referencestring11–19 characters✓The reference of the wallet to retrieve the balance for
requestAmountinteger✓The amount to be loaded
narrativestring1–255 characters✓A description of the terminal where the card was used
transactionTypestring2 characters✓Two-character string identifying the type of transaction: 28 = Payment
transactionIDstring1–40 characters✓Client-generated transaction ID to assist in identifying transactions on the client side
transactionDatedateClient-generated/local transaction date to assist in identifying transactions on the client side
checksumstring✓HMAC-SHA1 hashed signature of the concatenated method name with all argument values, using the terminal password as the private key

Response Parameters

ParameterTypeDescription
resultCodeIntegerStatus code indicating transaction result
resultTextStringText indicating transaction result
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>OK</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>

LoadReversal

Reverse a Load to a wallet

Request Path Parameters

ParameterTypeLimitsRequiredDescription
terminalIDstring10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction
referencestring11–19 characters✓The reference of the wallet to retrieve the balance for
requestAmountinteger✓The amount to be loaded
referenceIDstring✓Transaction ID of the original transaction to be adjusted
referenceDatestring✓Transaction date of the original transaction or a repeat of the original deduct to be adjusted
narrativestring1–255 characters✓A description of the terminal where the card was used
transactionIDstring1–40 characters✓Transaction ID number generated by the calling client
transactionDatastring✓Extra information about the transaction in a KLV format
transactionDatedateTransaction date generated by the calling client
checksumstring✓HMAC-SHA1 hashed signature of the concatenated method name with all argument values, using the terminal password as the private key
<?xml version="1.0"?>
<methodCall>
  <methodName>LoadReversal</methodName>
  <params>
    <param>
      <value>
        <string>0043889641</string>
      </value>
    </param>
    <param>
      <value>
        <string>019919</string>
      </value>
    </param>
    <param>
      <value>
        <int>180000</int>
      </value>
    </param>
    <param>
      <value>
        <string>Testing Load </string>
      </value>
    </param>
    <param>
      <value>
        <string>
        </string>
      </value>
    </param>
    <param>
      <value>
        <string>525337</string>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>20201218T08:40:28</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>8968578568978</string>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>20201218T13:52:52</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>A56B25A5145D0BBFFEC7107B4E95AF593728CC1E</string>
      </value>
    </param>
  </params>
</methodCall>

Response Parameters

ParameterTypeDescription
resultCodeIntegerStatus code indicating transaction result
resultTextStringText indicating transaction result
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>OK</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>

Appendix